Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.raw
Class Nat256

    java.lang.Object
      org.bouncycastle.math.raw.Nat256

public abstract class Nat256
extends java.lang.Object

Constructor Summary
`Nat256()`

Method Summary
`static int` | `add(int[] x, int[] y, int[] z)`
`static int` | `add(int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `addBothTo(int[] x, int[] y, int[] z)`
`static int` | `addBothTo(int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `addTo(int[] x, int[] z)`
`static int` | `addTo(int[] x, int[] z, int cIn)`
`static int` | `addTo(int[] x, int xOff, int[] z, int zOff, int cIn)`
`static int` | `addToEachOther(int[] u, int uOff, int[] v, int vOff)`
`static void` | `copy(int[] x, int[] z)`
`static void` | `copy(int[] x, int xOff, int[] z, int zOff)`
`static void` | `copy64(long[] x, int xOff, long[] z, int zOff)`
`static void` | `copy64(long[] x, long[] z)`
`static int[]` | `create()`
`static long[]` | `create64()`
`static int[]` | `createExt()`
`static long[]` | `createExt64()`
`static boolean` | `diff(int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static boolean` | `eq(int[] x, int[] y)`
`static boolean` | `eq64(long[] x, long[] y)`
`static int[]` | `fromBigInteger(java.math.BigInteger x)`
`static long[]` | `fromBigInteger64(java.math.BigInteger x)`
`static int` | `getBit(int[] x, int bit)`
`static boolean` | `gte(int[] x, int[] y)`
`static boolean` | `gte(int[] x, int xOff, int[] y, int yOff)`
`static boolean` | `isOne(int[] x)`
`static boolean` | `isOne64(long[] x)`
`static boolean` | `isZero(int[] x)`
`static boolean` | `isZero64(long[] x)`
`static void` | `mul(int[] x, int[] y, int[] zz)`
`static void` | `mul(int[] x, int xOff, int[] y, int yOff, int[] zz, int zzOff)`
`static void` | `mul128(int[] x, int[] y128, int[] zz)`
`static long` | `mul33Add(int w, int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `mul33DWordAdd(int x, long y, int[] z, int zOff)`
`static int` | `mul33WordAdd(int x, int y, int[] z, int zOff)`
`static int` | `mulAddTo(int[] x, int[] y, int[] zz)`
`static int` | `mulAddTo(int[] x, int xOff, int[] y, int yOff, int[] zz, int zzOff)`
`static int` | `mulByWord(int x, int[] z)`
`static int` | `mulByWordAddTo(int x, int[] y, int[] z)`
`static int` | `mulWord(int x, int[] y, int[] z, int zOff)`
`static int` | `mulWordAddTo(int x, int[] y, int yOff, int[] z, int zOff)`
`static int` | `mulWordDwordAdd(int x, long y, int[] z, int zOff)`
`static void` | `square(int[] x, int[] zz)`
`static void` | `square(int[] x, int xOff, int[] zz, int zzOff)`
`static int` | `sub(int[] x, int[] y, int[] z)`
`static int` | `sub(int[] x, int xOff, int[] y, int yOff, int[] z, int zOff)`
`static int` | `subBothFrom(int[] x, int[] y, int[] z)`
`static int` | `subFrom(int[] x, int[] z)`
`static int` | `subFrom(int[] x, int[] z, int cIn)`
`static int` | `subFrom(int[] x, int xOff, int[] z, int zOff)`
`static int` | `subFrom(int[] x, int xOff, int[] z, int zOff, int cIn)`
`static java.math.BigInteger` | `toBigInteger(int[] x)`
`static java.math.BigInteger` | `toBigInteger64(long[] x)`
`static void` | `zero(int[] z)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nat256

    public Nat256()

Method Detail

### add

    public static int add(int[] x,
                          int[] y,
                          int[] z)

### add

    public static int add(int[] x,
                          int xOff,
                          int[] y,
                          int yOff,
                          int[] z,
                          int zOff)

### addBothTo

    public static int addBothTo(int[] x,
                                int[] y,
                                int[] z)

### addBothTo

    public static int addBothTo(int[] x,
                                int xOff,
                                int[] y,
                                int yOff,
                                int[] z,
                                int zOff)

### addTo

    public static int addTo(int[] x,
                            int[] z)

### addTo

    public static int addTo(int[] x,
                            int[] z,
                            int cIn)

### addTo

    public static int addTo(int[] x,
                            int xOff,
                            int[] z,
                            int zOff,
                            int cIn)

### addToEachOther

    public static int addToEachOther(int[] u,
                                     int uOff,
                                     int[] v,
                                     int vOff)

### copy

    public static void copy(int[] x,
                            int[] z)

### copy

    public static void copy(int[] x,
                            int xOff,
                            int[] z,
                            int zOff)

### copy64

    public static void copy64(long[] x,
                              long[] z)

### copy64

    public static void copy64(long[] x,
                              int xOff,
                              long[] z,
                              int zOff)

### create

    public static int[] create()

### create64

    public static long[] create64()

### createExt

    public static int[] createExt()

### createExt64

    public static long[] createExt64()

### diff

    public static boolean diff(int[] x,
                               int xOff,
                               int[] y,
                               int yOff,
                               int[] z,
                               int zOff)

### eq

    public static boolean eq(int[] x,
                             int[] y)

### eq64

    public static boolean eq64(long[] x,
                               long[] y)

### fromBigInteger

    public static int[] fromBigInteger(java.math.BigInteger x)

### fromBigInteger64

    public static long[] fromBigInteger64(java.math.BigInteger x)

### getBit

    public static int getBit(int[] x,
                             int bit)

### gte

    public static boolean gte(int[] x,
                              int[] y)

### gte

    public static boolean gte(int[] x,
                              int xOff,
                              int[] y,
                              int yOff)

### isOne

    public static boolean isOne(int[] x)

### isOne64

    public static boolean isOne64(long[] x)

### isZero

    public static boolean isZero(int[] x)

### isZero64

    public static boolean isZero64(long[] x)

### mul

    public static void mul(int[] x,
                           int[] y,
                           int[] zz)

### mul

    public static void mul(int[] x,
                           int xOff,
                           int[] y,
                           int yOff,
                           int[] zz,
                           int zzOff)

### mul128

    public static void mul128(int[] x,
                              int[] y128,
                              int[] zz)

### mulAddTo

    public static int mulAddTo(int[] x,
                               int[] y,
                               int[] zz)

### mulAddTo

    public static int mulAddTo(int[] x,
                               int xOff,
                               int[] y,
                               int yOff,
                               int[] zz,
                               int zzOff)

### mul33Add

    public static long mul33Add(int w,
                                int[] x,
                                int xOff,
                                int[] y,
                                int yOff,
                                int[] z,
                                int zOff)

### mulByWord

    public static int mulByWord(int x,
                                int[] z)

### mulByWordAddTo

    public static int mulByWordAddTo(int x,
                                     int[] y,
                                     int[] z)

### mulWordAddTo

    public static int mulWordAddTo(int x,
                                   int[] y,
                                   int yOff,
                                   int[] z,
                                   int zOff)

### mul33DWordAdd

    public static int mul33DWordAdd(int x,
                                    long y,
                                    int[] z,
                                    int zOff)

### mul33WordAdd

    public static int mul33WordAdd(int x,
                                   int y,
                                   int[] z,
                                   int zOff)

### mulWordDwordAdd

    public static int mulWordDwordAdd(int x,
                                      long y,
                                      int[] z,
                                      int zOff)

### mulWord

    public static int mulWord(int x,
                              int[] y,
                              int[] z,
                              int zOff)

### square

    public static void square(int[] x,
                              int[] zz)

### square

    public static void square(int[] x,
                              int xOff,
                              int[] zz,
                              int zzOff)

### sub

    public static int sub(int[] x,
                          int[] y,
                          int[] z)

### sub

    public static int sub(int[] x,
                          int xOff,
                          int[] y,
                          int yOff,
                          int[] z,
                          int zOff)

### subBothFrom

    public static int subBothFrom(int[] x,
                                  int[] y,
                                  int[] z)

### subFrom

    public static int subFrom(int[] x,
                              int[] z)

### subFrom

    public static int subFrom(int[] x,
                              int[] z,
                              int cIn)

### subFrom

    public static int subFrom(int[] x,
                              int xOff,
                              int[] z,
                              int zOff)

### subFrom

    public static int subFrom(int[] x,
                              int xOff,
                              int[] z,
                              int zOff,
                              int cIn)

### toBigInteger

    public static java.math.BigInteger toBigInteger(int[] x)

### toBigInteger64

    public static java.math.BigInteger toBigInteger64(long[] x)

### zero

    public static void zero(int[] z)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD